/*
Interactions

`Interactions are managed by our flow designer in UI, what you can control via api is how you start and run interaction flow for contact sending events.  Interaction can start in a multiple ways:  - EntryPont - when contact scans QR code ar opens entry point link  - event as trigger - this way you can start flow for single contact  ## Events Events are a data structure related to some contact action. You can use them whenever you want to start active interaction for contact but also inside interaction flow you can define points wher system should wait for custom event sent from your side.   Depending on your use case our predefined interactions might have defined events and instruction what events should be sent.  Events can be sent directly using our REST Api or triggered automatically by our integration modules.  ## Adding attributes to events Adding attributest to event can personalize communication, select branch flow based on attribute value or use them as perameters in other interaction flow actions. Use `body` property in event structure to add key-value attributes. 

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package interactions

import (
	"encoding/json"
)

// checks if the CreateTaskDataSendout type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreateTaskDataSendout{}

// CreateTaskDataSendout struct for CreateTaskDataSendout
type CreateTaskDataSendout struct {
	Id string `json:"id"`
	CampaignId string `json:"campaign_id"`
}

// NewCreateTaskDataSendout instantiates a new CreateTaskDataSendout object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreateTaskDataSendout(id string, campaignId string) *CreateTaskDataSendout {
	this := CreateTaskDataSendout{}
	this.Id = id
	this.CampaignId = campaignId
	return &this
}

// NewCreateTaskDataSendoutWithDefaults instantiates a new CreateTaskDataSendout object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreateTaskDataSendoutWithDefaults() *CreateTaskDataSendout {
	this := CreateTaskDataSendout{}
	return &this
}

// GetId returns the Id field value
func (o *CreateTaskDataSendout) GetId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Id
}

// GetIdOk returns a tuple with the Id field value
// and a boolean to check if the value has been set.
func (o *CreateTaskDataSendout) GetIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Id, true
}

// SetId sets field value
func (o *CreateTaskDataSendout) SetId(v string) {
	o.Id = v
}

// GetCampaignId returns the CampaignId field value
func (o *CreateTaskDataSendout) GetCampaignId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.CampaignId
}

// GetCampaignIdOk returns a tuple with the CampaignId field value
// and a boolean to check if the value has been set.
func (o *CreateTaskDataSendout) GetCampaignIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.CampaignId, true
}

// SetCampaignId sets field value
func (o *CreateTaskDataSendout) SetCampaignId(v string) {
	o.CampaignId = v
}

func (o CreateTaskDataSendout) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreateTaskDataSendout) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["id"] = o.Id
	toSerialize["campaign_id"] = o.CampaignId
	return toSerialize, nil
}

type NullableCreateTaskDataSendout struct {
	value *CreateTaskDataSendout
	isSet bool
}

func (v NullableCreateTaskDataSendout) Get() *CreateTaskDataSendout {
	return v.value
}

func (v *NullableCreateTaskDataSendout) Set(val *CreateTaskDataSendout) {
	v.value = val
	v.isSet = true
}

func (v NullableCreateTaskDataSendout) IsSet() bool {
	return v.isSet
}

func (v *NullableCreateTaskDataSendout) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreateTaskDataSendout(val *CreateTaskDataSendout) *NullableCreateTaskDataSendout {
	return &NullableCreateTaskDataSendout{value: val, isSet: true}
}

func (v NullableCreateTaskDataSendout) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreateTaskDataSendout) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


